/***********************************************************************/
/*                                                                     */
/*  This product contains:                                             */
/*     "Restricted Materials of IBM"                                   */
/*     (c) Copyright 1986, 1995 IBM Corp.                              */
/*     All Rights Reserved                                             */
/*     Licensed Materials-Property of IBM                              */
/*     Program Number:   5765-505                                      */
/*     Program Name:     IBM AIX Print Services Facility/6000          */
/*                                                                     */
/*  THIS PROGRAM IS PROVIDED ON AN "AS-IS" BASIS AND NO                */
/*  SUPPORT OR MAINTENANCE WILL BE PROVIDED WITH RESPECT TO THIS       */
/*  PROGRAM SAMPLE.  The licensee of the PSF product is free to        */
/*  copy, revise, modify, and make derivative works of this program    */
/*  sample as they see fit.                                            */
/*  The licensee of this sample code may not resell this code or       */
/*  include it in a product that is resold.                            */
/*                                                                     */
/***********************************************************************/

extern int  quietflag;
extern int  fflag;
extern int  nobeep;
extern char *givenfilename;
extern char *server;
extern char printer[];
extern char user[];
extern CHAR lpdopts[];
extern int  bflag;
extern USHORT Protected_Lpr();
extern void usage();
extern ULONG delay;
extern USHORT retries;

#define LPR_RETURN_MASK    0x00ff
#define LPR_SUCCESS        0x0000
#define LPR_ABORT          0x0001
#define LPR_RETRY          0x0002
#define LPR_RETRY_FOREVER  0x0003

#define LPR_ERROR_MASK     0xff00
#define LPR_UNKNOWN_HOST   0x0100
#define LPR_OUT_OF_MEMORY  0x0200
#define LPR_OUT_OF_SOCKETS 0x0300
#define LPR_BIND           0x0400
#define LPR_CONNECT        0x0500
#define LPR_SEND           0x0600
#define LPR_EMPTY          0x0700
#define LPR_GERROR         0x0800
